List group setup intents

Returns a paginated list of group_setup_intent’s. The results are returned sorted by creation date, with the most recent appearing first.

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Query parameters

group_idstringOptionalformat: "gr_.+"
Filter by group ID
plan_idstringOptionalformat: "pl_.+"
Filter by plan ID
statusstringOptional

Multiple values can be provided by separating them with a comma. Allowed values are: processing, action_required, pending_provider_approval, setup_complete, setup_expired, provider_rejected, manual_renewal_gathering_required.

pageintegerOptional
The page of results to return. Defaults to 1 if not provided.
page_sizeintegerOptional
The number of results to return per page. Defaults to 10 if not provided. Maximum value is 100.

Response

OK
itemslist of objects
A paginated array containing the response elements
pageinteger
The current page of the results
page_sizeinteger
The number of results on this page. This can be different from the requested page size if the total number of results is less than the requested page size
total_countinteger
The total number of elements available in the response. This is the total number of elements available across all pages, not just the current page.
has_next_pageboolean or nullRead-only
Whether there are more pages available after this page
has_previous_pageboolean or nullRead-only
Whether there are more pages available before this page